scala.tools.nsc.typechecker

# TypeStrings

#### trait TypeStrings extends AnyRef

Logic for turning a type into a String. The goal is to be able to take some arbitrary object 'x' and obtain the most precise String for which an injection of x.asInstanceOf[String] will be valid from both the JVM's and scala's perspectives.

"definition" is when you want strings like

Source
  TypeStrings.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
TypeStrings
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TypeStrings
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from TypeStrings to any2stringadd[TypeStrings] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (TypeStrings, B)

   Implicit information
     This member is added by an implicit conversion from TypeStrings to ArrowAssoc[TypeStrings] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### def anyClass(x: Any): JClass

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (TypeStrings) ⇒ Boolean, msg: ⇒ Any): TypeStrings

   Implicit information
     This member is added by an implicit conversion from TypeStrings to Ensuring[TypeStrings] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (TypeStrings) ⇒ Boolean): TypeStrings

    Implicit information
      This member is added by an implicit conversion from TypeStrings to Ensuring[TypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): TypeStrings

    Implicit information
      This member is added by an implicit conversion from TypeStrings to Ensuring[TypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): TypeStrings

    Implicit information
      This member is added by an implicit conversion from TypeStrings to Ensuring[TypeStrings] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from TypeStrings to StringFormat[TypeStrings] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

17. #### def fromClazz(clazz: JClass): String

18. #### def fromTag[T](implicit arg0: reflect.api.JavaUniverse.TypeTag[T], arg1: ClassTag[T]): String

19. #### def fromValue(value: Any): String

    Going for an overabundance of caution right now.

    Going for an overabundance of caution right now. Later these types can be a lot more precise, but right now the tags have a habit of introducing material which is not syntactically valid as scala source. When this happens it breaks the repl. It would be nice if we mandated that tag toString methods (or some other method, since it's bad practice to rely on toString for correctness) generated the VALID string representation of the type.

20. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

21. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

22. #### def isAnonClass(cl: Class[_]): Boolean

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def quieter(tpe: String, alsoStrip: String*): String

    Reducing fully qualified noise for some common packages.

28. #### def scalaName(clazz: JClass): String

29. #### def scalaName(s: String): String

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### def toString(): String

    Definition Classes
      AnyRef → Any

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### def →[B](y: B): (TypeStrings, B)

    Implicit information
      This member is added by an implicit conversion from TypeStrings to ArrowAssoc[TypeStrings] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from TypeStrings to any2stringadd[TypeStrings]

### Inherited by implicit conversion StringFormat from TypeStrings to StringFormat[TypeStrings]

### Inherited by implicit conversion Ensuring from TypeStrings to Ensuring[TypeStrings]

### Inherited by implicit conversion ArrowAssoc from TypeStrings to ArrowAssoc[TypeStrings]

### Ungrouped